
From: janitor@sternwelten.at

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/radio/radio-sf16fmr2.c |   15 +--------------
 1 files changed, 1 insertion(+), 14 deletions(-)

diff -puN drivers/media/radio/radio-sf16fmr2.c~radio-radio-sf16fmr2-replace-schedule_timeout-with-msleep drivers/media/radio/radio-sf16fmr2.c
--- 25/drivers/media/radio/radio-sf16fmr2.c~radio-radio-sf16fmr2-replace-schedule_timeout-with-msleep	2004-09-02 15:36:48.179812616 -0700
+++ 25-akpm/drivers/media/radio/radio-sf16fmr2.c	2004-09-02 15:36:48.183812008 -0700
@@ -55,19 +55,6 @@ static int radio_nr = -1;
 #define RSF16_MINFREQ 87*16000
 #define RSF16_MAXFREQ 108*16000
 
-/* from radio-aimslab */
-static void sleep_delay(unsigned long n)
-{
-	unsigned d=n/(1000000U/HZ);
-	if (!d)
-		udelay(n);
-	else
-	{
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(d);
-	}
-}
-
 static inline void wait(int n,int port)
 {
 	for (;n;--n) inb(port);
@@ -153,7 +140,7 @@ static int fmr2_setfreq(struct fmr2_devi
 	fmr2_unmute(port);
 
 	/* wait 0.11 sec */
-	sleep_delay(110000LU);
+	msleep(110);
 
 	/* NOTE if mute this stop radio
 	   you must set freq on unmute */
_
